Get Report
Retrieve details of a specific report by ID.
GET
https://api.zenpayz.com/merchant/api/v1/reports/:idBearer · API key
Request
Headers
| Header | Description |
|---|---|
Authorization REQUIRED | Bearer {api_key} |
X-Signature REQUIRED | HMAC-SHA256 signature |
X-Timestamp REQUIRED | ISO 8601 timestamp |
X-Secret-Salt REQUIRED | Secret salt for HMAC validation |
Path Parameters
| Parameter | Type | Description |
|---|---|---|
id OPTIONAL | string | Report ID |
Response
Success (200 OK)
{
"success": true,
"data": {
"id": "rep_550e8400-e29b-41d4-a716-446655440000",
"merchantId": "mer_xxxxx",
"type": "transactions",
"format": "csv",
"status": "completed",
"startDate": "2024-01-01T00:00:00.000Z",
"endDate": "2024-01-31T23:59:59.999Z",
"filters": {
"status": "succeeded"
},
"downloadUrl": "https://api.zenpayz.com/merchant/api/v1/reports/rep_550e8400/download",
"fileSize": 125000,
"rowCount": 1500,
"createdAt": "2024-01-15T10:30:00.000Z",
"completedAt": "2024-01-15T10:32:00.000Z"
}
}
Error Responses
| Code | HTTP | Message |
|---|---|---|
| REPORT_NOT_FOUND | 404 | Report does not exist |
Examples
- cURL
- SDK
curl -X GET "https://api.zenpayz.com/merchant/api/v1/reports/rep_550e8400" \
-H "Authorization: Bearer zp_test_xxxxx" \
-H "X-Timestamp: 2024-01-15T10:30:00.000Z" \
-H "X-Signature: a1b2c3d4e5f6..." \
-H "X-Secret-Salt: your_secret_salt"
const report = await zenpays.reports.get('rep_550e8400');
if (report.status === 'completed') {
console.log('Report ready:', report.downloadUrl);
}